#pragma once
#include "base.hpp"
#include <cstdint>
#include <string>
#include <vector>

namespace Middleware
{
	class StaticContent : public BaseMiddleware
	{
	private:
		std::string root;

	public:
		virtual	void HandleRequest(State & state, ScheduleHelper & scheduleHelper) override;

		StaticContent(Logger & logger, std::string const & staticFileRoot);
	};
}